Partners - Get
통합 계정 파트너를 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/partners/{partnerName}?api-version=2016-06-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
integration
|
path | True |
string |
통합 계정 이름입니다. |
|
partner
|
path | True |
string |
통합 계정 파트너 이름입니다. |
|
resource
|
path | True |
string |
리소스 그룹 이름입니다. |
|
subscription
|
path | True |
string |
구독 ID입니다. |
|
api-version
|
query | True |
string |
API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get partner by name
샘플 요청
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner?api-version=2016-06-01
샘플 응답
{
"properties": {
"partnerType": "B2B",
"content": {
"b2b": {
"businessIdentities": [
{
"qualifier": "AA",
"value": "ZZ"
}
]
}
},
"createdTime": "2017-03-06T20:01:24.0517156Z",
"changedTime": "2017-03-06T20:01:24.0525141Z",
"metadata": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner",
"name": "testIntegrationAccount",
"type": "Microsoft.Logic/integrationAccounts/partners"
}
정의
| Name | Description |
|---|---|
|
B2BPartner |
B2B 파트너 콘텐츠입니다. |
|
Business |
통합 계정 파트너의 비즈니스 ID입니다. |
|
Integration |
통합 계정 파트너입니다. |
| Metadata |
메타데이터입니다. |
|
Partner |
통합 계정 파트너 콘텐츠입니다. |
|
Partner |
B2BPartnerContent
B2B 파트너 콘텐츠입니다.
| Name | 형식 | Description |
|---|---|---|
| businessIdentities |
파트너 비즈니스 ID 목록입니다. |
BusinessIdentity
통합 계정 파트너의 비즈니스 ID입니다.
| Name | 형식 | Description |
|---|---|---|
| qualifier |
string |
비즈니스 ID 한정자(예: as2identity, ZZ, ZZZ, 31, 32) |
| value |
string |
사용자가 정의한 비즈니스 ID 값입니다. |
IntegrationAccountPartner
통합 계정 파트너입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스 ID입니다. |
| location |
string |
리소스 위치입니다. |
| name |
string |
리소스 이름을 가져옵니다. |
| properties.changedTime |
string (date-time) |
변경된 시간입니다. |
| properties.content |
파트너 콘텐츠입니다. |
|
| properties.createdTime |
string (date-time) |
만든 시간입니다. |
| properties.metadata |
메타데이터입니다. |
|
| properties.partnerType |
파트너 유형입니다. |
|
| tags |
object |
리소스 태그입니다. |
| type |
string |
리소스 종류를 가져옵니다. |
Metadata
메타데이터입니다.
PartnerContent
통합 계정 파트너 콘텐츠입니다.
| Name | 형식 | Description |
|---|---|---|
| b2b |
B2B 파트너 콘텐츠입니다. |
PartnerType
| 값 | Description |
|---|---|
| NotSpecified | |
| B2B |